# model_server
model_server implement image analysis jobs for online use (e.g. in feedback microscopy), including adapters to ilastik

# Installation on Windows

1. Install Git:<br>https://git-scm.com/download/win
2. Install Miniforge for environment management:<br>https://github.com/conda-forge/miniforge/releases/latest/download/Miniforge-pypy3-Windows-x86_64.exe
3. Under the Start menu, open `Miniforge3 > Miniforge Prompt`
4. In the new terminal, run:<br>
   `cd %userprofile%`<br>
   `git clone https://almf-staff:KJmFvyPRbpzoVZDqfMzV@git.embl.de/rhodes/model_server.git`
5. Open the newly created project root: `cd model_server`
6. Create the environment: `mamba env create --file requirements.yml --name model_server_env`
7. Activate the environment: `mamba activate model_server_env`
8. Add the project source as a Python package: `pip install -e .`

# Start the server
Simply click "start_server command" in the model_server directory.  This should open a terminal that reports server requests, as well as a browser with a status confirmation page.  To stop the server, type "stop" in the terminal.

    